Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Copyright for this project is held by its many contributors, including:

Adam Constabaris <ajconsta@ncsu.edu>
Andrew Hankinson <andrew.hankinson@rism.digital>
André Nesse <an@macpro.lan>
Ben W <wrecksdart@gmail.com>
Chris Adams <chris@improbable.org>
Christian Clauss <cclauss@me.com>
Dan Chudnov <dchud@umich.edu>
Dan Michael O. Heggø <danmichaelo@gmail.com>
Dan Scott <dan@coffeecode.net>
David Chouinard <david@davidchouinard.com>
Ed Hill <hill.charles2@gmail.com>
Ed Summers <ehs@pobox.com>
Edward Betts <edward@4angle.com>
Eric Hellman <eric@hellman.net>
Federico Leva<federicoleva@tiscali.it>
Gabriel Farrell <gsf747@gmail.com>
Geoffrey Spear <geoffspear@gmail.com>
Godmar Back <godmar@gmail.com>
Helga <cdg013@gmail.com>
James Tayson <james.taysom@gmail.com>
Jay Luker <lbjay@reallywow.com>
Jeremy Nelson <jermnelson@gmail.com>
Jim Nicholls <jim.nicholls@gmail.com>
Karol Sikora <me@karolsikora.me>
Lucas Souza <lucassouzaufpa@gmail.com>
Mark A. Matienzo <mark@matienzo.org>
Mark A. Matienzo <matienzo@stanford.edu>
Martin Czygan <martin.czygan@gmail.com>
Michael B. Klein <mbklein@gmail.com>
Michael J. Giarlo <leftwing@alumni.rutgers.edu>
Mikhail Terekhov <termim@gmail.com>
Nick Ruest <ruestn@gmail.com>
Pierre Verkest <pverkest@anybox.fr>
Radim Řehůřek <radimrehurek@seznam.cz>
Renaud Boyer <rboyer@anybox.fr>
Robert Marchman <robert.l.marchman@dartmouth.edu>
Sean Chen <schen@law.duke.edu>
Simon Hohl <mail@dersmon.net>
Simon Hohl <simon.hohl@dainst.org>
Ted Lawless <tlawless@tuscola.(none)>
Theodor Tolstoy <gitlab.teddes@tolstoy.se>
Victor Seva <vseva@dlsi.ua.es>
Will Earp <will.earp@icloud.com>
cyperus-papyrus <cdg013@gmail.com>
Ben Webb <bwebb@gpo.gov>
mmh <maherma@asdeguiaingenieria.com>
wrCisco <lbjma@tiscali.it>
